Bug 62050 - lesspipe.sh should handle directories passed to less
Summary: lesspipe.sh should handle directories passed to less
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: less   
(Show other bugs)
Version: 7.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-27 00:28 UTC by Need Real Name
Modified: 2007-04-18 16:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-15 01:21:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (481 bytes, patch)
2002-05-14 06:00 UTC, Jens Petersen
no flags Details | Diff

Description Need Real Name 2002-03-27 00:28:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.4.1) Gecko/20020314
Netscape6/6.2.2

Description of problem:
lesspipe.sh should handle directories in a similar fashion to tarballs, rpm
files, etc.  currently, less gives a "xxx is a directory" error message when it
is trivial to add support for directories to less vi the lesspipe.sh mechanism.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.less /
	

Actual Results:  / is a directory

Expected Results:  lesspipe.sh should have run `ls -hAlF` through less.

Additional info:

Comment 1 Jens Petersen 2002-05-14 06:00:59 UTC
Created attachment 57210 [details]
patch

Comment 2 Jens Petersen 2002-05-14 06:02:04 UTC
the above patch implements this.

Comment 3 Philip Rowlands 2002-05-14 23:56:24 UTC
I suggested this in #17465, but it was rejected.

Comment 4 Jens Petersen 2002-05-15 01:20:55 UTC
presumably you mean bug 17456

Comment 5 Karsten Hopp 2002-06-18 23:15:29 UTC
I've finally added support for directories to less-358-27


Note You need to log in before you can comment on or make changes to this bug.